Множественные уязвимости в IBM AIX

Дата публикации:
22.05.2008
Всего просмотров:
1278
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2008-2513
CVE-2008-2514
CVE-2008-2515
Вектор эксплуатации:
Локальная
Воздействие:
Отказ в обслуживании
Повышение привилегий
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
AIX 5.x
AIX 6.x
Уязвимые версии: IBM AIX 5.2, 5.3 и 6.1

Описание:
Обнаруженные уязвимости позволяют локальному пользователю вызвать отказ в обслуживании и повысить свои привилегии на системе.

1. Уязвимость существует из-за ошибки проверки границ данных в ядре AIX. Локальный пользователь может вызвать переполнение буфера и выполнить произвольный код на системе с привилегиями ядра.

2. Уязвимость существует из-за ошибки проверки границ данных в setuid утилите errpt. Локальный пользователь может вызвать переполнение буфера и выполнить произвольный код на системе с привилегиями учетной записи root.

3. Уязвимость существует из-за ошибки при обработке переменных окружения в setuid утилите iostat. Локальный пользователь может выполнить произвольный код на системе с привилегиями учетной записи root.

URL производителя: www-03.ibm.com/systems/p/os/aix/v61/index.html

Решение: Установите исправление с сайта производителя.

Ссылки: http://aix.software.ibm.com/aix/efixes/security/unix_advisory.asc
http://aix.software.ibm.com/aix/efixes/security/errpt_advisory.asc
http://aix.software.ibm.com/aix/efixes/security/iostat_advisory.asc

или введите имя

CAPTCHA